User Tools

Site Tools


Action disabled: register
bacula_manual:supported_operating_systems

Back

Supported Operating Systems

  • Linux:
    • Most flavors of Linux (Gentoo, Red Hat, SuSE, Fedora, Mandriva, Debian, Ubuntu, …).
    • RedHat 7.2 AS2, AS3, AS4, Fedora Core 2,3,4,5, SuSE SLES 7,8,9,10,10.1 and Debian Woody and Sarge Linux, all on S/390 and Linux on zSeries.
  • Solaris various versions.
  • FreeBSD (tape driver supported in 1.30 – for FreeBSD older than version 5.0, please see some important considerations in the Tape Modes on FreeBSD section of the Tape Testing chapter of this manual.)
  • Windows:
    • Windows (Win98/Me, WinNT/2K/XP) Client (File daemon) binaries.
    • Windows Vista VSS (Volume Shadow Copy) is reported not to work with Bacula. (FIXME: We say elsewhere that it *does* work; anyone got a solid answer?)
    • The Windows servers (Director and Storage daemon) are available in the binary Client installer. They are reported to work in many cases. However they are NOT supported, and not automatically installed.
  • MacOS X/Darwin (see http://fink.sourceforge.net/ for obtaining the packages)
  • OpenBSD Client (File daemon).
  • Irix Client (File daemon).
  • Tru64
  • Bacula is said to work on other systems (AIX, BSDI, HPUX, NetBSD, …) but we do not have first hand knowledge of these systems.
  • See the Porting chapter of the Bacula Developer's Guide for information on porting to other systems.

Notes:

  • If you have a older Red Hat Linux system running the 2.4.x kernel and you have the directory /lib/tls installed on your system (normally by default), bacula will NOT run. This is the new-pthreads library and it is defective. You must remove this directory prior to running Bacula, or you can simply change the name to /lib/tls-broken) then you must reboot your machine (one of the few times Linux must be rebooted). If you are not able to remove/rename /lib/tls, an alternative is to set the environment variable “LD_ASSUME_KERNEL=2.4.19” prior to executing Bacula, whether interactively, or in a daemon startup/initscript. For this option, you do not need to reboot, and all programs other than Bacula will continue to use /lib/tls.
  • The above mentioned /lib/tls problem does not occur with Linux 2.6 kernels.
bacula_manual/supported_operating_systems.txt · Last modified: 2010/03/06 06:42 by markusn